From b351ab8c1bd3cb2a89b0bcba618b7051ba669c2e Mon Sep 17 00:00:00 2001
From: Chris Lattner <sabre@nondot.org>
Date: Wed, 27 Jun 2001 23:37:22 +0000
Subject: [PATCH] Put in test of SCCP.  Watch out though, because we need to
 sort the constant pool for the final check to work.  :(

git-svn-id: https://llvm.org/svn/llvm-project/llvm/trunk@93 91177308-0d34-0410-b5e6-96231b3b80d8
---
 test/Feature/TestOptimizer.sh | 10 +++++++++-
 1 file changed, 9 insertions(+), 1 deletion(-)

diff --git a/test/Feature/TestOptimizer.sh b/test/Feature/TestOptimizer.sh
index d7442a7af51..f51be2e4b97 100755
--- a/test/Feature/TestOptimizer.sh
+++ b/test/Feature/TestOptimizer.sh
@@ -9,5 +9,13 @@ export LD_LIBRARY_PATH
 ../tools/opt/opt -q -constprop -dce < $1.bc.1 > $1.bc.2 || exit 2
 
 diff $1.bc.[12] || exit 3
-rm $1.bc.[12]
+
+# Try out SCCP
+../tools/as/as < $1 | ../tools/opt/opt -q -inline -dce -sccp -dce | ../tools/dis/dis | ../tools/as/as > $1.bc.3 || exit 1
+
+# Should not be able to optimize further!
+#../tools/opt/opt -q -sccp -dce < $1.bc.3 > $1.bc.4 || exit 2
+
+#diff $1.bc.[34] || exit 3
+rm $1.bc.[123]